## sqlalchemy 1.3.22+ds1

=== debian/changelog ===
sqlalchemy (1.3.22+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-sqlalchemy-doc: Add Multi-Arch: foreign.
    + python3-sqlalchemy-ext: Add Multi-Arch: same.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 17:25:19 +0100

=== debian/control ===
Source: sqlalchemy
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all-dev (>= 3.1.2-8~),
               python3-setuptools,
Build-Depends-Indep: python3-changelog (>= 0.5.3),
                     python3-mako (>= 0.4.1),
                     python3-sphinx (>= 1.6),
                     python3-sphinx-paramlinks,
                     python3-zzzeeksphinx (>= 1.1.5),
Standards-Version: 4.5.0
Homepage: http://www.sqlalchemy.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy

Package: python-sqlalchemy-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
Recommends: python3-sqlalchemy,
Multi-Arch: foreign
Description: documentation for the SQLAlchemy Python library
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains the documentation for SQLAlchemy in HTML format.
 It's usable as a comprehensive reference, a user guide and a tutorial
 all-in-one.

Package: python3-sqlalchemy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-sqlalchemy-ext,
Suggests: python-sqlalchemy-doc,
          python3-fdb,
          python3-pymssql,
          python3-mysqldb,
          python3-psycopg2,
Description: SQL toolkit and Object Relational Mapper for Python 3
 SQLAlchemy is an SQL database abstraction library for Python.
 Its strengths are:
  * full power and flexibility of SQL. SQLAlchemy provides a full suite
    of well known enterprise-level persistence patterns, designed for
    efficient and high-performing database access, adapted into a simple
    and Pythonic domain language.
  * extremely easy to use for all the basic tasks, such as: accessing pooled
    connections, constructing SQL from Python expressions, finding object
    instances, and committing object modifications back to the database.
  * powerful enough for complicated tasks, such as: eager load a graph of
    objects and their dependencies via joins; map recursive adjacency
    structures automatically; map objects to not just tables but to any
    arbitrary join or select statement; combine multiple tables together to
    load whole sets of otherwise unrelated objects from a single result set;
    commit entire graphs of object changes in one step.
  * built to conform to what DBAs demand, including the ability to swap out
    generated SQL with hand-optimized statements, full usage of bind parameters
    for all literal values, fully transactionalized and consistent updates
    using Unit of Work.
  * modular. Different parts of SQLAlchemy can be used independently of the
    rest, including the connection pool, SQL construction, and ORM. SQLAlchemy
    is constructed in an open style that allows plenty of customization, with
    an architecture that supports custom datatypes, custom SQL extensions, and
    ORM plugins which can augment or extend mapping functionality.

Package: python3-sqlalchemy-ext
Architecture: any
Depends: python3-sqlalchemy (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: SQL toolkit and Object Relational Mapper for Python3 - C extension
 SQLAlchemy is an SQL database abstraction library for Python.
 .
 This package contains C coded extension accelerator for SQLAlchemy.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
pd=python-sqlalchemy-doc

PY3VERS=$(shell py3versions -vr '>= 3.0')
pkgdir = $(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-sqlalchemy

include /usr/share/python3/python.mk
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/lib/SQLAlchemy.egg-info $(CURDIR)/build/
	find . -name '*\.py[co]' -delete
	dh_clean build-docs build-stamp install-docs \
		$(PY3VERS:%=install-python%) $(PY3VERS:%=build-python%) \
		$(PHONYY3VERS:%=install-debug-python%) $(PY3VERS:%=build-debug-python%)

build: build-arch

build-arch: $(PY3VERS:%=build-python%)

build-python%:
	python$* ./setup.py build
	touch $@

build-debug-python%:
	python$*-dbg setup.py build
	touch $@

build-indep: build-docs
build-docs:
	dh_testdir
	dh_installdirs -i
	cd doc/build && python3 -m sphinx -N -E -b html . \
	 ../../debian/${pd}/usr/share/doc/${pd}/html/
	rm -rf debian/${pd}/usr/share/doc/${pd}/html/.doctrees
	touch $@

install-docs: build-docs
	dh_testdir
	dh_installdirs -i
	
	cp -r doc/build/ debian/${pd}/usr/share/doc/${pd}/rst/
	cd debian/${pd}/usr/share/doc/${pd}/rst/\
		&& rm -f '*.py' '*.html' '*.png' \
	       	&& rm -rf texinputs/
	dh_link -p${pd} /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/${pd}/html/_static/jquery.js
	dh_link -p${pd} /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/${pd}/html/_static/underscore.js
	# link docs in python-sqlalchemy's dir
	dh_link -p${pd} /usr/share/doc/${pd}/html \
		/usr/share/doc/python3-sqlalchemy/html
	dh_link -p${pd} /usr/share/doc/${pd}/rst \
		/usr/share/doc/python3-sqlalchemy/rst
	touch $@

install: $(PY3VERS:%=install-python%)

install-python%: build
	python$* ./setup.py install --skip-build \
		--root $(call pkgdir,$*) $(py_setup_install_args)
	# move extensions to -ext binary package
	mkdir -p $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy
	mv $(call pkgdir,$*)$(call py_libdir,$*)/sqlalchemy/*so \
	   $(call pkgdir,$*)-ext$(call py_libdir,$*)/sqlalchemy/
	touch $@

binary-indep: build install install-docs
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i -p python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installchangelogs -i -N python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installdocs -i
	dh_installexamples -i
	rm -rf debian/${pd}/usr/share/doc/${pd}/doc/build \
	       debian/${pd}/usr/share/doc/${pd}/examples/README
	rm -f debian/python3-sqlalchemy/usr/share/doc/python3-sqlalchemy/NEWS.Debian
	find $(CURDIR)/debian/${pd}/usr/share/doc//${pd}/examples -name __pycache__ | xargs -r rm -rf
	dh_python3 -i
	dh_compress -i -X.py -X.js -X.html -X.inv -Xrst
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a -X doc/changelog -X CHANGES
	dh_installdocs -a
	dh_python3 -a
	dh_makeshlibs -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## sqlalchemy 1.4.31+ds1

=== debian/changelog ===
sqlalchemy (1.4.31+ds1-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:51:15 +0100

sqlalchemy (1.4.31+ds1-1) unstable; urgency=medium

  * New upstream release
  * Add python3-asyncpg and python3-aiosqlite to Suggests

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 12 Feb 2022 21:13:32 +0100

sqlalchemy (1.4.23+ds1-5) unstable; urgency=medium

  * Correctly install files.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 19:05:24 +0100

sqlalchemy (1.4.23+ds1-4) unstable; urgency=medium

  * Move all build-depends-indep entries to build-indep, fixing FTBFS.
  * d/rules: Also override_dh_auto_install and override_dh_install since the
    install is done in override_dh_auto_build.
  * Add missing ${sphinxdoc:Depends} in python-sqlalchemy-doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 16:48:38 +0100

sqlalchemy (1.4.23+ds1-3) unstable; urgency=medium

  * Add python3-pytest build-depends:
    - run unit tests at build time
    - run autopkgtests (Closes: #998159).
  * Simplify a lot debian/rules and switch to the dh sequencer.
  * Run unit tests at build time:
    - Add remove-test_contextvars.patch.
  * Add missing python3-greenlet (build-)depends (Closes: #997484).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 15:32:58 +0100

sqlalchemy (1.4.23+ds1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all-dev.
    + Build-Depends-Indep: Drop versioned constraint on python3-mako and
      python3-sphinx.

  [ Thomas Goirand ]
  * Team upload.
  * Uploading to unstable (after p1otr ACK on IRC).
  * Add fix-compat-with-sphinx-4.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:57:42 +0200

sqlalchemy (1.4.23+ds1-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Juri Grabowski ]
  * New upstream version 1.4.19+ds1
  * debhelper's compatibility bumped to 10

  [ Piotr Ożarowski ]
  * New upstream release (closes: 989651)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Aug 2021 14:56:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 9),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev (>= 3.1.2-8~),
+               python3-all-dev,
                python3-setuptools,
-Build-Depends-Indep: python3-changelog (>= 0.5.3),
-                     python3-mako (>= 0.4.1),
-                     python3-sphinx (>= 1.6),
-                     python3-sphinx-paramlinks,
-                     python3-zzzeeksphinx (>= 1.1.5),
-Standards-Version: 4.5.0
-Homepage: http://www.sqlalchemy.org/
+               python3-changelog (>= 0.5.3),
+               python3-greenlet,
+               python3-mako,
+               python3-pytest,
+               python3-sphinx,
+               python3-sphinx-paramlinks,
+               python3-zzzeeksphinx (>= 1.2.1),
+Standards-Version: 4.5.1
+Homepage: https://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy
 
@@ -22,6 +24,7 @@
 Architecture: all
 Depends: libjs-jquery,
          libjs-underscore,
+         ${sphinxdoc:Depends},
          ${misc:Depends},
 Recommends: python3-sqlalchemy,
 Multi-Arch: foreign
@@ -34,7 +37,8 @@
 
 Package: python3-sqlalchemy
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-greenlet,
+         ${misc:Depends},
          ${python3:Depends},
 Recommends: python3-sqlalchemy-ext,
 Suggests: python-sqlalchemy-doc,
@@ -42,6 +46,8 @@
           python3-pymssql,
           python3-mysqldb,
           python3-psycopg2,
+	  python3-asyncpg,
+          python3-aiosqlite,
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

=== debian/rules ===
#!/usr/bin/make -f

pd=python-sqlalchemy-doc

PY3VERS=$(shell py3versions -vr)
pkgdir=$(CURDIR)/debian/python3-sqlalchemy
sqla_libdir=$(pkgdir)/usr/lib/python3/dist-packages/sqlalchemy
sqla_ext_libdir=$(pkgdir)-ext/usr/lib/python3/dist-packages/sqlalchemy

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf $(CURDIR)/lib/SQLAlchemy.egg-info $(CURDIR)/build/
	find . -name '*\.py[co]' -delete

override_dh_auto_install:
	set -e ; set -x ; for i in $(PY3VERS) ; do \
		python$$i ./setup.py install --root $(CURDIR)/debian/python3-sqlalchemy --install-layout=deb ; \
	done

	# Tests need an installed package.
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PY3VERS) ; do \
		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest ; \
	done
endif

	# move extensions to -ext binary package
	mkdir -p $(sqla_ext_libdir)
	mv $(sqla_libdir)/*so $(sqla_ext_libdir)/

override_dh_auto_build:
	echo "Do nothing here..."

override_dh_auto_test:
	echo "Do nothing here..."

override_dh_sphinxdoc:
	cd doc/build && python3 -m sphinx -N -E -b html . ../../debian/$(pd)/usr/share/doc/$(pd)/html/
	rm -rf debian/$(pd)/usr/share/doc/$(pd)/html/.doctrees
	
	cp -r doc/build/ debian/$(pd)/usr/share/doc/$(pd)/rst/
	cd debian/$(pd)/usr/share/doc/$(pd)/rst/\
		&& rm -f '*.py' '*.html' '*.png' \
	       	&& rm -rf texinputs/
	dh_link -p$(pd) /usr/share/javascript/jquery/jquery.js \
		/usr/share/doc/$(pd)/html/_static/jquery.js
	dh_link -p$(pd) /usr/share/javascript/underscore/underscore.js \
		/usr/share/doc/$(pd)/html/_static/underscore.js
	# link docs in python-sqlalchemy's dir
	dh_link -p$(pd) /usr/share/doc/$(pd)/html \
		/usr/share/doc/python3-sqlalchemy/html
	dh_link -p$(pd) /usr/share/doc/$(pd)/rst \
		/usr/share/doc/python3-sqlalchemy/rst
	dh_link -p$(pd) /usr/share/javascript/sphinxdoc/1.0/searchtools.js \
		/usr/share/doc/$(pd)/html/_static/searchtools.js
	dh_sphinxdoc

override_dh_installchangelogs:
	dh_installchangelogs -i -p python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installchangelogs -i -N python-sqlalchemy-doc -X doc/changelog -X CHANGES
	dh_installchangelogs -a -X doc/changelog -X CHANGES

override_dh_installexamples:
	dh_installexamples -i
	rm -rf debian/$(pd)/usr/share/doc/$(pd)/doc/build \
	       debian/$(pd)/usr/share/doc/$(pd)/examples/README
	rm -f debian/python3-sqlalchemy/usr/share/doc/python3-sqlalchemy/NEWS.Debian
	find $(CURDIR)/debian/$(pd)/usr/share/doc/$(pd)/examples -name __pycache__ | xargs -r rm -rf

override_dh_compress:
	dh_compress -i -X.py -X.js -X.html -X.inv -Xrst

## sqlalchemy 1.4.45+ds1

=== debian/changelog ===
sqlalchemy (1.4.45+ds1-2) unstable; urgency=medium

  * Team Upload.
  * Do not run un-patched tests as autopkgtests
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 25 Dec 2022 00:23:32 +0530

sqlalchemy (1.4.45+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release
  * Make sure only "test" dir is used duging tests (i.e. ignore .pc dir)
  * Add python3-sphinx-copybutton to Build-Depends
  * Bump minimum required python3-zzzeeksphinx to 1.3.5-2

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Nov 2022 23:46:12 +0100

## sqlalchemy 1.4.46%2Bds1

=== debian/changelog ===
sqlalchemy (1.4.46+ds1-1+rpi1) bookworm-staging; urgency=medium

  * Disable testsuite.

 -- Peter Michael Green <plugwash@raspbian.org>  Sun, 05 Feb 2023 02:01:47 +0000

sqlalchemy (1.4.46+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 09 Jan 2023 16:19:05 +0100

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,9 @@
 	done
 
 	# Tests need an installed package.
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq (testsuitedisabled,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest ; \
+		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test; \
 	done
 endif
 
@@ -70,4 +70,5 @@
 	find $(CURDIR)/debian/$(pd)/usr/share/doc/$(pd)/examples -name __pycache__ | xargs -r rm -rf
 
 override_dh_compress:
-	dh_compress -i -X.py -X.js -X.html -X.inv -Xrst
+	dh_compress --indep -X.py -X.js -X.html -X.inv -Xrst
+	dh_compress --arch

## sqlalchemy 1.4.46+ds1

=== doc/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
git+https://github.com/sqlalchemyorg/zzzeeksphinx.git#egg=zzzeeksphinx
sphinx-copybutton

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all-dev,
-               python3-setuptools,
-               python3-changelog (>= 0.5.3),
-               python3-greenlet,
-               python3-mako,
-               python3-pytest,
-               python3-sphinx,
-               python3-sphinx-paramlinks,
-               python3-zzzeeksphinx (>= 1.2.1),
-Standards-Version: 4.5.1
+ dh-python,
+ python3-all-dev,
+ python3-setuptools,
+ python3-changelog (>= 0.5.3),
+ python3-greenlet,
+ python3-mako,
+ python3-pytest,
+ python3-sphinx,
+ python3-sphinx-paramlinks,
+ python3-zzzeeksphinx (>= 1.3.5-2~),
+ python3-sphinx-copybutton,
+Standards-Version: 4.6.1
 Homepage: https://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	done
 
 	# Tests need an installed package.
-ifeq (testsuitedisabled,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
 		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test; \
 	done

## sqlalchemy 1.4.47+ds1

=== debian/changelog ===
sqlalchemy (1.4.47+ds1-1ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 26 Sep 2023 13:47:56 +0000

sqlalchemy (1.4.47+ds1-1ubuntu1) mantic; urgency=medium

  * d/control: Add python3-sphinxcontrib.jquery BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Sep 2023 14:31:34 -0400

sqlalchemy (1.4.47+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Mar 2023 13:41:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
  dh-python,
@@ -15,6 +16,8 @@
  python3-sphinx-paramlinks,
  python3-zzzeeksphinx (>= 1.3.5-2~),
  python3-sphinx-copybutton,
+ python3-sphinxcontrib-asyncio,
+ python3-sphinxcontrib.jquery,
 Standards-Version: 4.6.1
 Homepage: https://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git

## sqlalchemy 1.4.50+ds1

=== doc/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
git+https://github.com/sqlalchemyorg/zzzeeksphinx.git#egg=zzzeeksphinx
sphinx-copybutton==0.5.1

=== debian/changelog ===
sqlalchemy (1.4.50+ds1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:19:57 +0200

sqlalchemy (1.4.50+ds1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Add python3-sphinxcontrib.jquery as build-depends.
  * Do not run test_joined_across and test_eager_join that are
    non-deterministic (sometimes) failing tests.

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 05 Jan 2024 14:47:47 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-sphinx-paramlinks,
  python3-zzzeeksphinx (>= 1.3.5-2~),
  python3-sphinx-copybutton,
- python3-sphinxcontrib-asyncio,
  python3-sphinxcontrib.jquery,
 Standards-Version: 4.6.1
 Homepage: https://www.sqlalchemy.org/

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,9 @@
 	# Tests need an installed package.
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test; \
+		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test -k 'not test_joined_across and not test_eager_join'; \
 	done
+	# Somehow, test_eager_join isn't ran if starting separately
 endif
 
 	# move extensions to -ext binary package

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-greenlet,
 python3-pytest,
Restrictions: allow-stderr

## sqlalchemy 2.0.31+ds1

=== debian/changelog ===
sqlalchemy (2.0.31+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Jun 2024 11:48:18 +0200

sqlalchemy (2.0.30+ds1-3) unstable; urgency=medium

  * Add python3-mypy to dependencies needed during autopkgtest

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Jun 2024 11:35:12 +0200

sqlalchemy (2.0.30+ds1-2) unstable; urgency=medium

  * Set minimum required version for python3-pg8000 package to 1.29.1
    (closes: 1001078)
  * Set minimum required version for python3-typing-extensions package to 4.6.0
    (closes: 1071987)
  * Update list of suggested DB drivers (in Suggests and README.Debian)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 May 2024 10:09:37 +0200

sqlalchemy (2.0.30+ds1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release (closes: 1030164, 1057443, 1058102, 1058265)
  * Require Sphinx >= 5.0.1 (closes: 1004945)
  * Suggest python3-pg8000 for PostgreSQL support (closes: 592267)
  * Drop Debian Python Team from Uploaders
  * Update standards version to 4.7.0, no changes needed.

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 13 May 2024 22:18:04 +0200

sqlalchemy (2.0.19+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Jul 2023 13:51:22 +0200

sqlalchemy (2.0.18+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 10 Jul 2023 15:05:37 +0200

sqlalchemy (2.0.17+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 26 Jun 2023 11:05:49 +0200

sqlalchemy (1.4.48+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 12 May 2023 21:51:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 PY3VERS=$(shell py3versions -vr)
 pkgdir=$(CURDIR)/debian/python3-sqlalchemy
-sqla_libdir=$(pkgdir)/usr/lib/python3/dist-packages/sqlalchemy
-sqla_ext_libdir=$(pkgdir)-ext/usr/lib/python3/dist-packages/sqlalchemy
+sqla_libdir=$(pkgdir)/usr/lib/python3/dist-packages/sqlalchemy/cyextension
+sqla_ext_libdir=$(pkgdir)-ext/usr/lib/python3/dist-packages/sqlalchemy/cyextension
 
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
@@ -15,6 +15,7 @@
 	find . -name '*\.py[co]' -delete
 
 override_dh_auto_install:
+	REQUIRE_SQLALCHEMY_CEXT=1 \
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
 		python$$i ./setup.py install --root $(CURDIR)/debian/python3-sqlalchemy --install-layout=deb ; \
 	done
@@ -22,14 +23,14 @@
 	# Tests need an installed package.
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test -k 'not test_joined_across and not test_eager_join'; \
+		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test\
+		-k 'not test_joined_across and not test_eager_join'; \
 	done
-	# Somehow, test_eager_join isn't ran if starting separately
 endif
 
 	# move extensions to -ext binary package
 	mkdir -p $(sqla_ext_libdir)
-	mv $(sqla_libdir)/*so $(sqla_ext_libdir)/
+	mv $(sqla_libdir)/*.so $(sqla_ext_libdir)/
 
 override_dh_auto_build:
 	echo "Do nothing here..."

## sqlalchemy 2.0.32%2Bds1

=== debian/changelog ===
sqlalchemy (2.0.32+ds1-1) unstable; urgency=medium

  * New upstream release
  * Disable deprecated mypy plugin tests (test_plugin_files) closes: 1076928

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Aug 2024 09:52:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ cython3,
  python3-all-dev,
  python3-setuptools,
+ python3-greenlet,
+ python3-mypy (>= 0.910),
+ python3-typing-extensions (>= 4.6.0),
+# Documentation:
  python3-changelog (>= 0.5.3),
- python3-greenlet,
  python3-mako,
- python3-pytest,
- python3-sphinx,
+ python3-sphinx (>= 5.0.1),
  python3-sphinx-paramlinks,
+ python3-sphinxcontrib.jquery,
  python3-zzzeeksphinx (>= 1.3.5-2~),
  python3-sphinx-copybutton,
- python3-sphinxcontrib.jquery,
-Standards-Version: 4.6.1
+# Tests:
+ python3-pytest,
+ python3-pytest-cython,
+Standards-Version: 4.7.0
 Homepage: https://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy
@@ -45,12 +49,25 @@
          ${python3:Depends},
 Recommends: python3-sqlalchemy-ext,
 Suggests: python-sqlalchemy-doc,
-          python3-fdb,
+# PostgreSQL:
+	  python3-asyncpg,
+          python3-pg8000 (>= 1.29.1),
+          python3-psycopg2 (>= 2.7),
+          python3-psycopg2cffi,
+# SQLite
+          python3-aiosqlite,
+# MariaDB:
+          python3-mariadb-connector,
+# MySQL:
+          python3-mysqldb,
+          python3-mysql.connector,
+# ODBC:
+          python3-pyodbc,
+# MS SQL:
           python3-pymssql,
-          python3-mysqldb,
-          python3-psycopg2,
-	  python3-asyncpg,
-          python3-aiosqlite,
+# Oracle:
+          python3-cx-oracle,
+          python3-oracledb,
 Description: SQL toolkit and Object Relational Mapper for Python 3
  SQLAlchemy is an SQL database abstraction library for Python.
  Its strengths are:

## sqlalchemy 2.0.32+ds1

=== debian/changelog ===
sqlalchemy (2.0.32+ds1-1ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Thu, 03 Oct 2024 12:22:21 +0000

sqlalchemy (2.0.32+ds1-1ubuntu1) oracular; urgency=medium

  * d/tests/unittest: Align skipped tests with package build.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Sep 2024 10:44:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  cython3,
@@ -21,6 +22,7 @@
 # Tests:
  python3-pytest,
  python3-pytest-cython,
+ python3-pytest-xdist,
 Standards-Version: 4.7.0
 Homepage: https://www.sqlalchemy.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
 		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test\
-		-k 'not test_joined_across and not test_eager_join'; \
+		-k 'not test_joined_across and not test_eager_join and not test_plugin_files and not test_big_query and not aaa_profiling' -n auto; \
 	done
 endif

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-greenlet,
 python3-pytest,
 python3-mypy,
 python3-typing-extensions,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(beta|rc|a|b|c)/~$1/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1 \
https://pypi.debian.net/SQLAlchemy/SQLAlchemy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sqlalchemy 2.0.38%2Bds1

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-greenlet,
 python3-pytest,
 python3-typing-extensions,
 python3-pytest-xdist,
Restrictions: allow-stderr

## sqlalchemy 2.0.38+ds1

=== debian/changelog ===
sqlalchemy (2.0.38+ds1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:14:11 +0000

sqlalchemy (2.0.38+ds1-0ubuntu1) plucky; urgency=medium

  * d/watch: Tweak filename to match upstream.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2025 15:53:20 +0000

sqlalchemy (2.0.32+ds1-1ubuntu3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:44 +0100

sqlalchemy (2.0.32+ds1-1ubuntu2) plucky; urgency=medium

  * Enable parallel test execution reducing package build time:
    - d/rules: Pass '-n auto' to pytest during test execution.
    - d/rules: Skip big_query and aaa_profiling tests during package build;
      tested as part of autopkgtests and generally resource intensive and
      slow to execute.
    - d/control: Add BD on python3-pytest-xdist.
    - d/tests/control,unittests: Align with testing approach used for
      package build.
  * Drop dependency on python3-mypy:
    - d/control,d/tests/control: Drop use of python3-mypy.
    - d/rules,d/tests/unittests: Ignore *mypy* glob during testing.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2024 10:29:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  python3-all-dev,
  python3-setuptools,
  python3-greenlet,
- python3-mypy (>= 0.910),
  python3-typing-extensions (>= 4.6.0),
 # Documentation:
  python3-changelog (>= 0.5.3),

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
 		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test\
-		-k 'not test_joined_across and not test_eager_join and not test_plugin_files and not test_big_query and not aaa_profiling' -n auto; \
+		-k 'not test_joined_across and not test_eager_join and not test_big_query and not aaa_profiling' --ignore-glob="*mypy*" -n auto; \
 	done
 endif

## sqlalchemy 2.0.40+ds1

=== debian/changelog ===
sqlalchemy (2.0.40+ds1-2~cloud1) noble-flamingo; urgency=medium

  * d/rules: Skip flaky sqlalchemy tests

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 22:54:25 +0200

sqlalchemy (2.0.40+ds1-2~cloud0) noble-flamingo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 10 Jun 2025 18:01:19 +0000

sqlalchemy (2.0.40+ds1-2) experimental; urgency=medium

  * Team upload.

  [ James Page ]
  * Align autopkgtest test exclusion list with package build tests
    (closes: #1081276).

  [ Dmitry Shachnev ]
  * Run the autopkgtest for all supported Python versions.
  * Run Sphinx with LC_ALL=C.UTF-8 and PYTHONHASHSEED=0 for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jun 2025 20:51:50 +0300

sqlalchemy (2.0.40+ds1-1) unstable; urgency=medium

  * New upstream release
  * Run tests in parrallel (closes: 1079700)
  * Drop python3-mypy from autopkgtest's dep. (closes: 1086031)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 06 Feb 2025 12:19:07 +0100

sqlalchemy (2.0.31+ds1-2) unstable; urgency=medium

  * Disable deprecated mypy plugin tests (test_plugin_files)
    and remove python3-mypy from Build-Depends closes: 1076928

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 23 Aug 2024 09:49:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	# Tests need an installed package.
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
-		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages python$$i -m pytest test\
-		-k 'not test_joined_across and not test_eager_join and not test_big_query and not aaa_profiling' --ignore-glob="*mypy*" -n auto; \
+		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages \
+		python$$i -m pytest --numprocesses `nproc` test \
+		-k 'not test_joined_across and not test_eager_join and not test_plugin_files and not test_big_query and not aaa_profiling' \
+		--ignore-glob="*mypy*";\
 	done
 endif
 
@@ -39,7 +41,7 @@
 	echo "Do nothing here..."
 
 override_dh_sphinxdoc:
-	cd doc/build && python3 -m sphinx -N -E -b html . ../../debian/$(pd)/usr/share/doc/$(pd)/html/
+	cd doc/build && LC_ALL=C.UTF-8 PYTHONHASHSEED=0 python3 -m sphinx -N -E -b html . ../../debian/$(pd)/usr/share/doc/$(pd)/html/
 	rm -rf debian/$(pd)/usr/share/doc/$(pd)/html/.doctrees
 	
 	cp -r doc/build/ debian/$(pd)/usr/share/doc/$(pd)/rst/

## sqlalchemy 2.0.43+ds1

=== debian/changelog ===
sqlalchemy (2.0.43+ds1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum required python3-zzzeeksphinx to 1.6.1

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Aug 2025 22:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlalchemy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  cython3,
@@ -16,7 +15,7 @@
  python3-sphinx (>= 5.0.1),
  python3-sphinx-paramlinks,
  python3-sphinxcontrib.jquery,
- python3-zzzeeksphinx (>= 1.3.5-2~),
+ python3-zzzeeksphinx (>= 1.6.1),
  python3-sphinx-copybutton,
 # Tests:
  python3-pytest,
@@ -24,8 +23,6 @@
  python3-pytest-xdist,
 Standards-Version: 4.7.0
 Homepage: https://www.sqlalchemy.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/sqlalchemy.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlalchemy
 
 Package: python-sqlalchemy-doc
 Section: doc

=== debian/tests/control ===
Tests: unittests
Depends:
 python3-all,
 python3-greenlet,
 python3-pytest,
 python3-pytest-xdist,
 python3-typing-extensions,
Restrictions: allow-stderr

## sqlalchemy 2.0.44%2Bds1

=== debian/changelog ===
sqlalchemy (2.0.44+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 05 Nov 2025 15:45:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	set -e ; set -x ; for i in $(PY3VERS) ; do \
 		PYTHONPATH=$(CURDIR)/debian/python3-sqlalchemy/usr/lib/python3/dist-packages \
 		python$$i -m pytest --numprocesses `nproc` test \
-		-k 'not test_joined_across and not test_eager_join and not test_plugin_files and not test_big_query and not aaa_profiling' \
+		-k 'not test_joined_across and not test_eager_join and not test_plugin_files' \
 		--ignore-glob="*mypy*";\
 	done
 endif
@@ -41,7 +41,7 @@
 	echo "Do nothing here..."
 
 override_dh_sphinxdoc:
-	cd doc/build && LC_ALL=C.UTF-8 PYTHONHASHSEED=0 python3 -m sphinx -N -E -b html . ../../debian/$(pd)/usr/share/doc/$(pd)/html/
+	cd doc/build && python3 -m sphinx -N -E -b html . ../../debian/$(pd)/usr/share/doc/$(pd)/html/
 	rm -rf debian/$(pd)/usr/share/doc/$(pd)/html/.doctrees
 	
 	cp -r doc/build/ debian/$(pd)/usr/share/doc/$(pd)/rst/

## sqlalchemy 2.0.45+ds1

=== debian/changelog ===
sqlalchemy (2.0.45+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch upgrade to version 5

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 15 Dec 2025 11:06:13 +0100

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/SQLAlchemy/
Matching-Pattern: sqlalchemy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Dversionmangle: s/\+ds\d*$//
Repacksuffix: +ds1
Uversionmangle: s/(beta|rc|a|b|c)/~$1/

## sqlalchemy authorize-0.1.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = sqlalchemy_authorize
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## sqlalchemy mate-1.4.28.2

=== requirements.txt ===
sqlalchemy>=1.4.1<2.0.0
prettytable

## sqlalchemy mptt-0.0.9

=== requirements.txt ===
SQLAlchemy>=0.7
